commit:     3f16cb934010de86bcda81837c637340bfb9d267
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 24 23:35:21 2025 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Fri Jan 24 23:35:29 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f16cb93

app-crypt/gocryptfs: add 2.5.1

Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-crypt/gocryptfs/Manifest               |  1 +
 app-crypt/gocryptfs/gocryptfs-2.5.1.ebuild | 39 ++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/app-crypt/gocryptfs/Manifest b/app-crypt/gocryptfs/Manifest
index 6e4250362ab5..ce7e282f07aa 100644
--- a/app-crypt/gocryptfs/Manifest
+++ b/app-crypt/gocryptfs/Manifest
@@ -1 +1,2 @@
 DIST gocryptfs_v2.4.0_src-deps.tar.gz 2927929 BLAKE2B 
e66e91506c5a7abb5413e8797f786145c436ca760e3c7157590ccb1c8430b2ac240b8ba1fd0ed3401ee4277a2e9ef6b8f3a9b3c52c22bac8e6b27b56350d9eec
 SHA512 
b46d6eee21a0194022a042d6ae2a737f221a0932bb899123438f2cf929ecb50635fcfc90012d6a04928fd4b2856d6e24d19392ce5aa87eea573fb58cf5a5d4e1
+DIST gocryptfs_v2.5.1_src-deps.tar.gz 2935982 BLAKE2B 
429b9ee986ad88156f36825c9b3420c361a717524f04c3dd2738c527de2faf49abe517c13903206531f6cf6678c331141cfb38013ece3814b939aedb2b5a34fb
 SHA512 
d35c76284b31e10c71eefac1abf20d0c46d3d3dcf8f45b0c745b829152bab9c2fe84b3a8f96ea04a96c2eeeb5554094a9e775cea25213187f8d9fa6403fbb61f

diff --git a/app-crypt/gocryptfs/gocryptfs-2.5.1.ebuild 
b/app-crypt/gocryptfs/gocryptfs-2.5.1.ebuild
new file mode 100644
index 000000000000..da88fd5beb49
--- /dev/null
+++ b/app-crypt/gocryptfs/gocryptfs-2.5.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="Encrypted overlay filesystem written in Go"
+HOMEPAGE="https://github.com/rfjakob/gocryptfs";
+SRC_URI="https://github.com/rfjakob/gocryptfs/releases/download/v${PV}/${PN}_v${PV}_src-deps.tar.gz";
+S=${WORKDIR}/${PN}_v${PV}_src-deps
+LICENSE="MIT"
+LICENSE+=" Apache-2.0 BSD BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+BDEPEND="virtual/pandoc"
+PROPERTIES="test_privileged"
+RESTRICT="test"
+
+src_prepare() {
+       default
+       sed -e 's:ldd gocryptfs 2> /dev/null:! ldd gocryptfs | grep -q 
"statically linked":' \
+               -i "${S}/build-without-openssl.bash" || die
+}
+
+src_compile() {
+       emake build
+}
+
+src_install() {
+       emake "DESTDIR=${ED}" install
+       dobin contrib/statfs/statfs
+       doman Documentation/*.1
+       dodoc -r README.md Documentation
+       rm -f 
"${ED}"/usr/share/doc/${PF}/Documentation/{.gitignore,gocryptfs.1,gocryptfs-xray.1,statfs.1,MANPAGE-render.bash}
 || die
+}
+
+src_test() {
+       emake test
+}

Reply via email to